
MLEB Web Framework - Feature #7195

Upgrade to Angular 9

07 April 2020 01:41 PM - chok yee fan

Status: Resolved Start date: 07 April 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Angular 9 having the ivy engine and better debug purpose.

History

#1 - 09 April 2020 08:50 PM - Tan Ping TP

Revision: 189450

Author: tanping

Date: Thursday, April 9, 2020 8:27:34 PM

Message:

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/check-save.guard.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/side-bar.guard.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services/check-save.service.ts

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/business-constitution

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/country

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/country-detail

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/login

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution.component.spec.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/business-constitution/business-constitution.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.actions.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.effects.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.model.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.reducer.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country/country.service.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.spec.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.spec.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.service.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.html
Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.spec.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/angular-material.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/constants.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/effects/common.effects.ts

Modified :

/S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/menu-list-item/menu-list-item.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.effects.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/mleb-image-popout-dialog/mleb-image-popout-dialog.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/mleb-table/mleb-table.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/mleb-table/mleb-table.model.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/mleb-table-input/mleb-table-input.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/sl-common/security/sl-security.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/sl-common/storage/local-storage.service.ts

Deleted : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/survey

#2 - 09 April 2020 08:51 PM - Tan Ping TP

Revision: 189449

Author: tanping

Date: Thursday, April 9, 2020 8:21:42 PM

Message:

Feature #7195

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/package.json

#3 - 09 April 2020 08:52 PM - Tan Ping TP

- Status changed from New to Resolved

- % Done changed from 0 to 100

Required to delete package-lock.json and remove the node modules and build again in order for it to work
